.grid {
    display: flex;
    flex-wrap: wrap;
    position: relative;
    
    .col {
        flex-basis: 0;
        flex-grow: 1;
        max-width: 100%;
        padding: 0 1.5rem;

        @each $key, $value in $breakpoints{
            &-#{$key}{
                @include breakpoint('min-width', $key){
                    @for $i from 1 through 12 {
                        &-#{$i} {
                            flex:0 0 calc( #{$i} / 12 * 100%);
                        }
                    }
                }
            }
        }

        @for $i from 1 through 12 {
            &-#{$i} {
                flex:0 0 calc( #{$i} / 12 * 100%);
                max-width: calc( #{$i} / 12 * 100%);
                padding: 1rem 1rem
            }
        }

        &-auto{
            flex: 0 0 auto;
            padding: 0 1.5rem;
        }
    }

}

.container-full {
    width: 100%;
    padding: 0 1.5rem;
    margin:auto;
}

.container {
    margin:auto;
    @each $breakpoint, $value in $breakpoints {
        $containerWidth: map-get($containers, $breakpoint);
        @include breakpoint('min-width',$breakpoint) {
            width: $containerWidth;
        }
    }
}
